# $Revision: 1.9 $, $Date: 2011/01/23 01:22:34 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_W3C_CSSValidator
Summary:	%{_pearname} - An Object Oriented Interface to the W3C CSS Validator service
Summary(pl.UTF-8):	%{_pearname} - zorientowany obiektowo interfejs do usługi walidacji CSS
Name:		php-pear-%{_pearname}
Version:	0.2.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	33f7687729294878c32963a8b8b4f079
URL:		http://pear.php.net/package/Services_W3C_CSSValidator/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Request2 >= 0.2.0
Obsoletes:	php-pear-Services_W3C_CSSValidator-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides an object oriented interface to the API of the
W3 CSS Validator application (http://jigsaw.w3.org/css-validator/).
With this package you can connect to a running instance of the
validator and retrieve the validation results (true|false) as well as
the errors and warnings for a a style sheet.

By using the SOAP 1.2 output format from the validator, you are
returned simple objects containing all the information from the
validator.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten udostępnia zorientowanego obiektowo interfejsu do API
usługi kontroli poprawności CSS serwisu W3C
(http://jigsaw.w3.org/css-validator/). Przy użyciu tego pakietu
możliwe jest podłączenie się do instancji walidatora i pobranie wyniku
kontroli poprawności (prawda|fałsz) jak również komunikatów błędów i
ostrzeżeń dla danego arkusza stylów.

Poprzez wykorzystanie formatu SOAP 1.2, w wyniku zwracane są proste
obiekty zawierające wszystkie informacje walidatora.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/Services_W3C_CSSValidator/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Services/W3C
%{php_pear_dir}/Services/W3C/CSSValidator
%{php_pear_dir}/Services/W3C/CSSValidator.php

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_W3C_CSSValidator.spec,v $
Revision 1.9  2011/01/23 01:22:34  sparky
- tests are no longer installed - don't try to remove them

Revision 1.8  2010/11/16 08:09:41  glen
- up to 0.2.2

Revision 1.7  2010/08/22 08:51:31  glen
- ensure rpmbuild macros present

Revision 1.6  2010/08/21 19:09:14  glen
- updated deps with pearize.sh
- release 4

Revision 1.5  2008/05/24 08:41:57  adamg
- release 3 (updated PEAR deps)

Revision 1.4  2008-05-24 07:47:19  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.3  2008-04-12 21:09:51  qboosh
- pl fixes

Revision 1.2  2008-01-31 12:16:10  glen
- rel 2

Revision 1.1  2007-11-26 20:18:54  adamg
- new
